Infinity -- An  XMMS Visualization Plug-in
------------------------------------

version 0.2

by Julien Carme Copyright(C) 2000

Infinity is a XMMS plug-in which generate full-screen interactive light effects
according to a music.

The installation can be done by a very standard ./configure && make && make install

To run the plug-in, 
-run xmms
-enter the visualization plug-ins menu (Ctrl-V), 
-choose Infinity.
-choose Configure, and your resolution.
-choose Enable, and press Tab to enter Full-Screen mode.
-to stop it, press Tab again and disable it.

You can change the resolution in the configuration menu. In full-screen mode,SDL 
should choose the best possible resolution according to the resolution you asked 
for. For example, 640x300 will display a letter-box screen in 640x480.
See SDL section for more information about the scale factor.

You don't need to be root to enter the full-screen mode.

There is two different modes in this plug-in, the default mode is non-interactive:

-Non-Interactive Mode:

States and palettes are selected randomly, and change sometimes.
 
  Keys:
  - Space: change effect.
  - F12:   change palette.
  - Tab:   toggle full-screen.
  - Enter: switch to interactive mode. 
  - F11:   screenshot  


-Interactive Mode:

You can control the effect:

  Keys:

  - F12:    change palette.
  - Tab:    toggle full-screen.
  - Enter:  switch to non-interactive mode.
  - F1-F10: choose transformation vector field
  - a,z:    change curve 1 lighting
  - q,s:    change curve 2 lighting
  - e,r:    change curve 1 amplitude
  - d,f:    change curve 2 amplitude  
  - w:      change curve 2 type
  - mouse:  change curve 2 position  
    - F11:    screensh
.

Speed:
------
Infinity need a smooth animation to be interesting.
To increase speed, you can:
-compile with pgcc and full (-O6) optimisations.
-use low resolutions and letter box effect.
In 320x160, it should run on a small pentiums. 

SDL:
----
You must have installed a recent version of SDL(>=1.0.6) to run this program.
If you experience problems with SDL, refer to their documentation first.
If you cannot obtain low resolutions, you should add them to the
screen section of your /etc/XF86Config (you can use your X configurator
instead of editing it yourself). If and only if you cannot change your 
XF86Config, you can change the scale factor in the preference menu. But 
the program will be much slower.

Known Bugs:
-----------
Your X has to be at least in 16 bpp to make this program work. If you have more
than 16 bpp, it should work but may be very slow. If you still use a 8 bpp X, 
mail me, I would really like to know if an implementation of it could interest
somebody.
Preferences cannot be saved, and cannot be changed while the plug-in is enabled.


Please send questions, comments, suggestions, bug reports or anything else to:
julien.carme@acm.org
